module RippedParams
  class RippedParamsInitializerGenerator < Rails::Generators::Base
    def create_initializer_file
      initializer_template = File.read(File.join(File.dirname(__FILE__), "templates/initializer.rb"))
      example_yaml_template = File.read(File.join(File.dirname(__FILE__), "templates/example_yaml.yml"))

      create_file "config/initializers/ripped_params_initializer.rb", ERB.new(initializer_template).result
      create_file "lib/ripped_params/example_params_yaml.yml", ERB.new(example_yaml_template).result
    end
  end
end
