module RippedParams
  def set_ripped_param_methods
    Dir.glob("#{Rails.root}/lib/ripped_params/*.yml").each do |file|
      params_data = YAML.load_file(file)
      define_method "#{File.basename(file, ".yml")}_params" do |params|
        params.require(params_data[:require]).permit(params_data[:permit])
      end
    end
  end
end

